//
// CallMemberUpdatedPermissionEvent.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
/** This event is sent when one or more members get its role updated */

public struct CallMemberUpdatedPermissionEvent: @unchecked Sendable, Event, Codable, JSONEncodable, Hashable, WSCallEvent {
    public var call: CallResponse
    public var callCid: String
    /** The capabilities by role for this call */
    public var capabilitiesByRole: [String: [String]]
    public var createdAt: Date
    /** The list of members that were updated */
    public var members: [MemberResponse]
    /** The type of event: \"call.member_added\" in this case */
    public var type: String = "call.member_updated_permission"

    public init(call: CallResponse, callCid: String, capabilitiesByRole: [String: [String]], createdAt: Date, members: [MemberResponse], type: String = "call.member_updated_permission") {
        self.call = call
        self.callCid = callCid
        self.capabilitiesByRole = capabilitiesByRole
        self.createdAt = createdAt
        self.members = members
        self.type = type
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case call
        case callCid = "call_cid"
        case capabilitiesByRole = "capabilities_by_role"
        case createdAt = "created_at"
        case members
        case type
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encode(call, forKey: .call)
        try container.encode(callCid, forKey: .callCid)
        try container.encode(capabilitiesByRole, forKey: .capabilitiesByRole)
        try container.encode(createdAt, forKey: .createdAt)
        try container.encode(members, forKey: .members)
        try container.encode(type, forKey: .type)
    }
}

