//
// CustomVideoEvent.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
/** A custom event, this event is used to send custom events to other participants in the call. */

public struct CustomVideoEvent: @unchecked Sendable, Event, Codable, JSONEncodable, Hashable, WSCallEvent {
    public var callCid: String
    public var createdAt: Date
    /** Custom data for this object */
    public var custom: [String: RawJSON]
    /** The type of event, \"custom\" in this case */
    public var type: String = "custom"
    public var user: UserResponse

    public init(callCid: String, createdAt: Date, custom: [String: RawJSON], type: String = "custom", user: UserResponse) {
        self.callCid = callCid
        self.createdAt = createdAt
        self.custom = custom
        self.type = type
        self.user = user
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case callCid = "call_cid"
        case createdAt = "created_at"
        case custom
        case type
        case user
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encode(callCid, forKey: .callCid)
        try container.encode(createdAt, forKey: .createdAt)
        try container.encode(custom, forKey: .custom)
        try container.encode(type, forKey: .type)
        try container.encode(user, forKey: .user)
    }
}

