//
// PermissionRequestEvent.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
/** This event is sent when a user requests access to a feature on a call, clients receiving this event should display a permission request to the user */

public struct PermissionRequestEvent: @unchecked Sendable, Event, Codable, JSONEncodable, Hashable, WSCallEvent {
    public var callCid: String
    public var createdAt: Date
    /** The list of permissions requested by the user */
    public var permissions: [String]
    /** The type of event: \"call.permission_request\" in this case */
    public var type: String = "call.permission_request"
    public var user: UserResponse

    public init(callCid: String, createdAt: Date, permissions: [String], type: String = "call.permission_request", user: UserResponse) {
        self.callCid = callCid
        self.createdAt = createdAt
        self.permissions = permissions
        self.type = type
        self.user = user
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case callCid = "call_cid"
        case createdAt = "created_at"
        case permissions
        case type
        case user
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encode(callCid, forKey: .callCid)
        try container.encode(createdAt, forKey: .createdAt)
        try container.encode(permissions, forKey: .permissions)
        try container.encode(type, forKey: .type)
        try container.encode(user, forKey: .user)
    }
}

